## org.eclipse.emf.importer.util
Class ImporterUtil

    java.lang.Object
      org.eclipse.emf.importer.util.ImporterUtil

    public class ImporterUtil

extends java.lang.Object

Utility methods and classes. This class cannot import UI code because it is used on headless scenarios.

Since:
  2.1.0

Constructor Summary
`ImporterUtil()`

Method Summary
`static void` `addUniqueGenPackages(java.util.List<GenPackage> genPackages, java.util.List<GenPackage> genPackagesToAdd)` Removes any GenPackage from `genPackages` that has the same NSURI of a genPackage in `genPackagesToAdd`.
`static java.lang.String` `validPluginID(java.lang.String base)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImporterUtil

    public ImporterUtil()

Method Detail

### validPluginID

    public static java.lang.String validPluginID(java.lang.String base)

### addUniqueGenPackages

    public static void addUniqueGenPackages(java.util.List<GenPackage> genPackages,
                                            java.util.List<GenPackage> genPackagesToAdd)

  Removes any GenPackage from `genPackages` that has the same NSURI of a genPackage in `genPackagesToAdd`.

  After dealing with the NSURI, this method calls `genPackages.addAll()` which is expected to perform a "contains" check to ensure the uniqueness of the list's elements.

  Parameters:
    `genPackages` -
    `genPackagesToAdd` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.